| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
ieee_802_11ac Struct Reference

PHY metadata for 802.11ac (VHT) captures. More...

`#include <wtap.h>`

## Public Attributes
unsigned | has_stbc: 1
unsigned | has_txop_ps_not_allowed: 1
unsigned | has_short_gi: 1
unsigned | has_short_gi_nsym_disambig: 1
unsigned | has_ldpc_extra_ofdm_symbol: 1
unsigned | has_beamformed: 1
unsigned | has_bandwidth: 1
unsigned | has_fec: 1
unsigned | has_group_id: 1
unsigned | has_partial_aid: 1
unsigned | stbc: 1
unsigned | txop_ps_not_allowed: 1
unsigned | short_gi: 1
unsigned | short_gi_nsym_disambig: 1
unsigned | ldpc_extra_ofdm_symbol: 1
unsigned | beamformed: 1
uint8_t | bandwidth
uint8_t | mcs [4]
uint8_t | nss [4]
uint8_t | fec
uint8_t | group_id
uint16_t | partial_aid

## Detailed Description

PHY metadata for 802.11ac (VHT) captures.

## Member Data Documentation

## ◆ bandwidth

uint8_t ieee_802_11ac::bandwidth

Channel bandwidth in MHz (e.g. 20, 40, 80, 160).

## ◆ beamformed

unsigned ieee_802_11ac::beamformed

True if the frame was transmitted using beamforming.

## ◆ fec

uint8_t ieee_802_11ac::fec

Per-user FEC type bitmask: bit set = LDPC, bit clear = BCC, for up to 4 MU-MIMO users.

## ◆ group_id

uint8_t ieee_802_11ac::group_id

VHT group ID identifying the MU-MIMO group for this transmission.

## ◆ has_bandwidth

unsigned ieee_802_11ac::has_bandwidth

Non-zero if `bandwidth` contains a valid value.

## ◆ has_beamformed

unsigned ieee_802_11ac::has_beamformed

Non-zero if `beamformed` contains a valid value.

## ◆ has_fec

unsigned ieee_802_11ac::has_fec

Non-zero if `fec` contains a valid value.

## ◆ has_group_id

unsigned ieee_802_11ac::has_group_id

Non-zero if `group_id` contains a valid value.

## ◆ has_ldpc_extra_ofdm_symbol

unsigned ieee_802_11ac::has_ldpc_extra_ofdm_symbol

Non-zero if `ldpc_extra_ofdm_symbol` contains a valid value.

## ◆ has_partial_aid

unsigned ieee_802_11ac::has_partial_aid

Non-zero if `partial_aid` contains a valid value.

## ◆ has_short_gi

unsigned ieee_802_11ac::has_short_gi

Non-zero if `short_gi` contains a valid value.

## ◆ has_short_gi_nsym_disambig

unsigned ieee_802_11ac::has_short_gi_nsym_disambig

Non-zero if `short_gi_nsym_disambig` contains a valid value.

## ◆ has_stbc

unsigned ieee_802_11ac::has_stbc

Non-zero if `stbc` contains a valid value.

## ◆ has_txop_ps_not_allowed

unsigned ieee_802_11ac::has_txop_ps_not_allowed

Non-zero if `txop_ps_not_allowed` contains a valid value.

## ◆ ldpc_extra_ofdm_symbol

unsigned ieee_802_11ac::ldpc_extra_ofdm_symbol

True if an extra OFDM symbol was appended to support LDPC encoding.

## ◆ mcs

uint8_t ieee_802_11ac::mcs[4]

MCS index per user for up to 4 MU-MIMO users.

## ◆ nss

uint8_t ieee_802_11ac::nss[4]

Number of spatial streams per user for up to 4 MU-MIMO users.

## ◆ partial_aid

uint16_t ieee_802_11ac::partial_aid

Partial AID (Association ID) used to identify the recipient in MU-MIMO transmissions.

## ◆ short_gi

unsigned ieee_802_11ac::short_gi

True if a short guard interval (400 ns) was used; false for long guard interval (800 ns).

## ◆ short_gi_nsym_disambig

unsigned ieee_802_11ac::short_gi_nsym_disambig

True if the short GI Nsym disambiguation bit is set, indicating an extra symbol was added.

## ◆ stbc

unsigned ieee_802_11ac::stbc

True if all spatial streams were transmitted with Space-Time Block Coding (STBC).

## ◆ txop_ps_not_allowed

unsigned ieee_802_11ac::txop_ps_not_allowed

True if the TXOP Power Save mode is not permitted for this transmission.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/wiretap/wtap.h